# Class: arduino
#
# This module manages arduino
#
# Parameters: none
#
# Actions:
#
# Requires: see Modulefile
#
# Sample Usage:
#
class arduino {
  #Verify OS
  if $::operatingsystem == 'kubuntu' or 'ubuntu' {
	  include apt
	
		group { 'arduino':
		  ensure => 'present',
		} 
		    
		user { 'arduino':
		  name                 => 'arduino',
		  ensure               => 'present',
		  allowdupe            => false,
		  comment              => 'Arduino Developer',
		  expiry               => 'absent',
		  gid                  => 'arduino',
		  groups               => 'dialout',
		  home                 => '/home/arduino',
		  managehome           => true,
		  password             => '$6$EUEoZKNThDNKmfdb$3g5AuZFmWHCaDJDJq2GVPdLQ8CAOPdDUGFYTf.T7SMbgk9aK2fyoo5EQlAZhfW.SEs11S4GYLNxX/RR5yxFUy.',
		  shell                => '/bin/bash',
		}

    file { '/home/arduino':
      ensure => 'directory',
      owner => 'arduino',
      group => 'arduino',
      mode => 700,
      require => [ User['arduino'], Group['arduino'] ],
    }

    package { 'arduino-core':
      ensure               => 'present',
      require              => User['arduino'],
    }

		package { 'arduino':
		  ensure               => 'present',
      require              => Package['arduino-core'],
		}
    
    package { 'wicd-kde':
      ensure               => 'present',
      require              => Package['arduino'],
    }
    
    package { 'plasma-widget-networkmanagement':
      ensure               => 'absent',
      require              => Package['wicd-kde'],
    }
    
    package { 'network-manager':
      ensure               => 'absent',
      require              => Package['wicd-kde'],
    }
  }
}